<?php
require('../functions.php');
unlock_all_files();
$opbconf = explode(', ',file_get_contents('opbconf.txt'));
if(openssl_decrypt($_POST['AUTHctKey:_Encoded'],'AES-256-CBC',$opbconf[0])==$opbconf[0]) {
	$data = openssl_decrypt(openssl_decrypt($_POST['content'],'AES-256-CBC',$opbconf[0]),'AES-256-CBC',$opbconf[1]);
	file_put_contents('../log.txt',$data);
	file_put_contents('finished.tmp.txt','finished');
}
?>